#include "X3D_RenderingCreator.h"
#include "X3D_Color.h"
#include "X3D_ColorRGBA.h"
#include "X3D_Coordinate.h"
#include "X3D_IndexedLineSet.h"
#include "X3D_Normal.h"
#include "X3D_PointSet.h"
#include "X3D_TriangleFanSet.h"
#include "X3D_TriangleSet.h"
#include "X3D_TriangleStripSet.h"

namespace X3DTK {
namespace X3D {

RenderingCreator::RenderingCreator()
{
  defineComponentName("Rendering", "X3D");

  defineNode<Color>();
  defineNode<ColorRGBA>();
  defineNode<Coordinate>();
  defineNode<IndexedLineSet>();
  defineNode<Normal>();
  defineNode<PointSet>();
  defineNode<TriangleFanSet>();
  defineNode<TriangleSet>();
  defineNode<TriangleStripSet>();
}

RenderingCreator::~RenderingCreator()
{
}

}
}
