#include "X3D_ImageTexture.h"

namespace X3DTK {
namespace X3D {

ImageTexture::ImageTexture()
: X3DTexture2DNode()
{
  defineTypeName("ImageTexture", "Texturing");
}

ImageTexture::ImageTexture(const ImageTexture &N)
: X3DTexture2DNode(N), X3DUrlObject(N)
{
}

SFAbstractNode ImageTexture::clone() const
{
  return new ImageTexture(*this);
}

ImageTexture::~ImageTexture()
{
}

void ImageTexture::load(const X3DFileElement *element)
{
  X3DUrlObject::load(element);
}

SFString &ImageTexture::write(SFString &output) const
{
  X3DUrlObject::write(output);
        
  return output;
}  
}
}
